OGRE-Next: Ogre::DescriptorSetSampler Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetSampler Struct Reference
Core » Resources

Descriptor sets describe what samplers should be bound together in one place. More...

`#include <OgreDescriptorSetSampler.h>`

## Public Member Functions
| DescriptorSetSampler ()
void | checkValidity () const
bool | operator!= (const DescriptorSetSampler &other) const
bool | operator< (const DescriptorSetSampler &other) const

## Public Attributes
uint16 | mRefCount
void * | mRsData
| Render-System specific data.
FastArray< const HlmsSamplerblock * > | mSamplers
uint16 | mShaderTypeSamplerCount [NumShaderTypes]

## Detailed Description

Descriptor sets describe what samplers should be bound together in one place.

Must be created via HlmsManager. See DescriptorSetTexture.

Remarks
  Do not create and destroy a set every frame. You should create it once, and reuse it until it is no longer necessary, then you should destroy it.

## Constructor & Destructor Documentation

## ◆ DescriptorSetSampler()

Ogre::DescriptorSetSampler::DescriptorSetSampler | ( |  | ) |
| inline

References mRefCount, mRsData, and mShaderTypeSamplerCount.

Referenced by operator!=(), and operator<().

## Member Function Documentation

## ◆ checkValidity()

void Ogre::DescriptorSetSampler::checkValidity | ( |  | ) | const
| inline

References mSamplers, mShaderTypeSamplerCount, Ogre::NumShaderTypes, and OGRE_ASSERT_MEDIUM.

## ◆ operator!=()

bool Ogre::DescriptorSetSampler::operator!= | ( | const DescriptorSetSampler & | other | ) | const
| inline

References DescriptorSetSampler(), mSamplers, mShaderTypeSamplerCount, and Ogre::NumShaderTypes.

## ◆ operator<()

bool Ogre::DescriptorSetSampler::operator< | ( | const DescriptorSetSampler & | other | ) | const
| inline

References DescriptorSetSampler(), mSamplers, mShaderTypeSamplerCount, and Ogre::NumShaderTypes.

## Member Data Documentation

## ◆ mRefCount

uint16 Ogre::DescriptorSetSampler::mRefCount

Referenced by DescriptorSetSampler().

## ◆ mRsData

void* Ogre::DescriptorSetSampler::mRsData

Render-System specific data.

Referenced by DescriptorSetSampler().

## ◆ mSamplers

FastArray<const HlmsSamplerblock *> Ogre::DescriptorSetSampler::mSamplers

Referenced by checkValidity(), operator!=(), and operator<().

## ◆ mShaderTypeSamplerCount

uint16 Ogre::DescriptorSetSampler::mShaderTypeSamplerCount[NumShaderTypes]

Referenced by DescriptorSetSampler(), checkValidity(), operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetSampler.h